package com.fs.crm.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客户历史订单对象 crm_customer_his_order
 * 
 * @author fs
 * @date 2023-04-07
 */
public class CrmCustomerHisOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long orderId;

    /** 客户ID */
    @Excel(name = "客户ID")
    private Long customerId;

    /** $column.columnComment */
    @Excel(name = "客户ID")
    private String customerCode;

    /** 订单JSON */
    @Excel(name = "订单JSON")
    private String orderJson;

    /** 商品JSON */
    @Excel(name = "商品JSON")
    private String itemJson;

    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setCustomerId(Long customerId) 
    {
        this.customerId = customerId;
    }

    public Long getCustomerId() 
    {
        return customerId;
    }
    public void setCustomerCode(String customerCode) 
    {
        this.customerCode = customerCode;
    }

    public String getCustomerCode() 
    {
        return customerCode;
    }
    public void setOrderJson(String orderJson) 
    {
        this.orderJson = orderJson;
    }

    public String getOrderJson() 
    {
        return orderJson;
    }
    public void setItemJson(String itemJson) 
    {
        this.itemJson = itemJson;
    }

    public String getItemJson() 
    {
        return itemJson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("customerId", getCustomerId())
            .append("customerCode", getCustomerCode())
            .append("orderJson", getOrderJson())
            .append("itemJson", getItemJson())
            .append("createTime", getCreateTime())
            .toString();
    }
}
